# coding: utf-8

from __future__ import absolute_import

from flask import json
from six import BytesIO

from swagger_server.models.average_value import AverageValue  # noqa: E501
from swagger_server.models.compare_value import CompareValue  # noqa: E501
from swagger_server.models.hour_average_value import HourAverageValue  # noqa: E501
from swagger_server.test import BaseTestCase


class TestDefaultController(BaseTestCase):
    """DefaultController integration test stubs"""

    def test_controller_all_average(self):
        """Test case for controller_all_average

        Return all average params from all source
        """
        response = self.client.open(
            '/envi-api/v2/all/avg/{param}'.format(param='param_example'),
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_compare_between_humcount_and_value(self):
        """Test case for controller_compare_between_humcount_and_value

        Return human in the area compare with other parameters in each hours
        """
        response = self.client.open(
            '/envi-api/v2/compare/humcount/{param}'.format(param='param_example'),
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_hour_average_value_by_source(self):
        """Test case for controller_hour_average_value_by_source

        Return average value of specific parameters and source
        """
        response = self.client.open(
            '/envi-api/v2/separate/{param}/{source}/hour'.format(param='param_example', source='source_example'),
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))

    def test_controller_latest_average(self):
        """Test case for controller_latest_average

        Return latest average all params from all source
        """
        response = self.client.open(
            '/envi-api/v2/latest/{param}'.format(param='param_example'),
            method='GET')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))


if __name__ == '__main__':
    import unittest
    unittest.main()
